## spike 0.8.0+dfsg

=== Makefile ===
#    \\ SPIKE: Secure your secrets with SPIFFE. — https://spike.ist/
#  \\\\\ Copyright 2024-present SPIKE contributors.
# \\\\\\\ SPDX-License-Identifier: Apache-2.0

include ./makefiles/Main.mk
include ./makefiles/BareMetal.mk
include ./makefiles/Kubernetes.mk
include ./makefiles/FederationDemo.mk
include ./makefiles/Test.mk
