=== debian/changelog ===
spike (0.8.0+dfsg-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump copyright years
  * Cleanup Salsa CI
  * Drop Files-Excluded trailing slashes, suggested by awm
  * Silence Salsa lintian

 -- Simon Josefsson <simon@josefsson.org>  Mon, 16 Feb 2026 08:21:35 +0100

spike (0.8.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1122131)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Dec 2025 00:14:59 +0100
