=== debian/control ===
Source: spike
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-cloudflare-circl-dev,
 golang-github-google-goexpect-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spiffe-go-spiffe-dev,
 golang-github-spiffe-spike-sdk-go-dev,
 golang-golang-x-term-dev,
 golang-gopkg-yaml.v3-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/spike
Vcs-Git: https://salsa.debian.org/go-team/packages/spike.git
Homepage: https://github.com/spiffe/spike
XS-Go-Import-Path: github.com/spiffe/spike

Package: spike
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${misc:Static-Built-Using}
Description: lightweight secrets using SPIFFE identity control plane
 Secure Production Identity for Key Encryption (SPIKE)
 .
 SPIKE is a lightweight secrets store that uses SPIFFE
 https://spiffe.io/ as its identity control plane.
 .
 SPIKE protects your secrets and helps your ops, SREs, and sysadmins
 #sleepmore.
 .
 For more information, see the documentation (https://spike.ist/).
 .
 This package contains the command-line tool 'spike'.
