=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := app/VERSION.txt

export DH_GOLANG_EXCLUDES := \
	^github.com/spiffe/spike/ci \
	^github.com/spiffe/spike/app/bootstrap \
	^github.com/spiffe/spike/app/demo \
	^github.com/spiffe/spike/app/keeper \
	^github.com/spiffe/spike/app/nexus \
	# EOL

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_auto_install:
	mv -v ./_build/bin/cmd ./_build/bin/spike

SKIP="TestSQLitePolicy|TestSQLiteSecret|TestInitializeSqliteBackend|TestInitializeBackend"
# SKIP="TestSQLitePolicy_EncryptionWithDifferentKeys|TestSQLitePolicy_ErrorHandling|TestSQLitePolicy_CreateAndGet|TestSQLitePolicy_Persistence|TestSQLiteSecret_NewSecret|TestSQLiteSecret_Persistence|TestSQLiteSecret_VersionPersistence|TestInitializeSqliteBackend_ZeroKey|TestInitializeSqliteBackend_MultipleInitializations|TestInitializeSqliteBackend_Success|TestInitializeBackend_SQLite_WithValidKey|TestInitializeBackend_KeyValidation_PartiallyZero|TestInitializeBackend_KeyValidation_LastByteNonZero"
override_dh_auto_test:
	env DATA_PATH=$(CURDIR)/.spike/data \
		dh_auto_test $(DH_BUILD_OPTS) -- -skip=$(SKIP)
	-dh_auto_test $(DH_BUILD_OPTS) -- -run=$(SKIP)
