=== debian/watch ===
Version: 5
Template: Github
Owner: spiffe
Project: spike
Dversion-Mangle: s/\+dfsg\d*$//
Repack-Suffix: +dfsg">
