=== debian/changelog ===
spike (2.9-1parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:21:48 +0200

spike (2.9-1kali9) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  [ Steev Klimaszewski ]
  * Update d/watch to point to no upstream
  * Add lintian overrides
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 11 Jan 2023 12:32:16 -0600

spike (2.9-1kali8) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Raphaël Hertzog ]
  * Fix build system with recent toolchain

  [ Sophie Brun ]
  * dh_auto_clean: Remove generated files with old automake

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Feb 2021 18:21:59 +0100

spike (2.9-1kali7) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Jan 2021 14:38:43 +0100

spike (2.9-1kali6) kali-dev; urgency=medium

  * Fix patch with correct gcc invocation.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 18:27:03 +0100

spike (2.9-1kali5) kali-dev; urgency=medium

  * Patch Makefile.in and not Makefile. Otherwise the change is overwritten
    when ./configure runs.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 18:01:34 +0100

spike (2.9-1kali4) kali-dev; urgency=medium

  * Fix build on armel/armhf by improving the Makefile and avoiding stripping
    static binary files that spike ships.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 17:48:35 +0100

spike (2.9-1kali3) kali-dev; urgency=medium

  * Do not hardcode dependencies on C libraries.
  * Modernize packaging.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 00:49:53 +0100

spike (2.9-1kali2) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 16:04:02 -0500

spike (2.9-1kali1) kali; urgency=low

  * Fixed depends

 -- Devon Kearns <dookie@kali.org>  Sat, 29 Dec 2012 13:14:00 -0700

spike (2.9-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Thu, 27 Dec 2012 07:58:37 -0700
