=== debian/control ===
Source: spike
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.5.1
Homepage: http://www.immunitysec.com/resources-freesoftware.shtml

Package: spike
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network protocol fuzzer
 When you need to analyze a new network protocol for buffer
 overflows or similar weaknesses, the SPIKE is the tool of
 choice for professionals. While it requires a strong
 knowledge of C to use, it produces results second to none
 in the field.
