=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_clean:
	rm src/aclocal.m4
	rm src/Makefile
	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps -X/dcedump/

override_dh_strip:
	dh_strip -X/dcedump/
