## spike recorder-0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
+
+# SET(CMAKE_BUILD_TYPE Debug)
 
 project(spike_recorder VERSION "0.0.1")
